
  
///基准回归结果/// 

global xlist university college senior  junior elementary  male married minorityrace nonagrihukou  institution statefirm foreign  lnGDPper  ratio_FDI  ln年末户籍人口万人 ratio_publicexpenditure

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year  ,robust nolog

probit overeduc index_dataecon  $xlist  i.region i.year  ,robust nolog

probit overeduc_masseduc  shangzhiindex_dataecon  $xlist  i.region i.year  ,robust nolog

probit overeduc_masseduc  index_dataecon $xlist  i.region i.year  ,robust nolog

///注：overeduc表示使用标准差法测度的过度教育发生率，overeduc_masseduc表示使用众数法测度的过度教育发生率；       shangzhiindex_dataecon表示使用熵值法测度的数字经济发展程度指标，index_dataecon表示使用主成分分析法测度的数字经济发展程度指标。以下稳健性检验、影响机制分析、进一步分析同理。


///稳健性检验///
****1.更换被解释变量****   

probit overeduc_主观匹配法  shangzhiindex_dataecon  $xlist  i.region i.year  ,robust nolog

probit overeduc_主观匹配法   index_dataecon  $xlist  i.region i.year  ,robust nolog

probit overeduc_世代效应测度法   shangzhiindex_dataecon  $xlist  i.region i.year  ,robust nolog

probit overeduc_世代效应测度法   index_dataecon  $xlist  i.region i.year  ,robust nolog

///注：overeduc_主观匹配法 表示使用主观匹配法测度的过度教育发生率，overeduc_世代效应测度法 表示使用存在“世代效应”法测度的过度教育发生率。 


****2.剔除特殊样本的影响****

probit overeduc  shangzhiindex_dataecon  $xlist  i.region i.year if city_code!=1100 & city_code!=1200 &city_code!=3100 & city_code!=5000 ,robust nolog  
probit overeduc  index_dataecon  $xlist  i.region i.year if city_code!=1100 & city_code!=1200 &city_code!=3100 & city_code!=5000 ,robust nolog

///注：city_code代表城市代码


****3.控制样本选择偏差****

probit overeduc   shangzhiindex_dataecon imr1 $xlist  i.region i.year ,robust nolog

probit overeduc  index_dataecon imr2 $xlist  i.region i.year ,robust nolog

probit overeduc  shangzhiindex_dataecon imr3 $xlist  i.region i.year ,robust nolog

probit overeduc  index_dataecon imr4 $xlist  i.region i.year ,robust nolog

///注：imr1、imr2、imr3、imr4为逆米尔斯比率

****4.内生性问题处理****

ivprobit overeduc  ( index_dataecon= ln上年互联网用户数_daoshu到港口距离 ) $xlist  i.region i.year , nolog

ivprobit overeduc  ( index_dataecon= ln上年互联网用户数_国家大数据试验区 ) $xlist  i.region i.year , nolog

///注：ln上年互联网用户数_daoshu到港口距离 为上一年城市互联网用户数对数与各城市到沿海港口最近距离的倒数的乘积
       ln上年互联网用户数_国家大数据试验区 为上一年城市互联网用户数对数与国家大数据综合试验区的乘积


****5.使用未发生迁移的劳动者样本**** 

probit overeduc   shangzhiindex_dataecon  $xlist  i.region i.year if  户口不在本区县==0 ,robust nolog

probit overeduc  index_dataecon  $xlist  i.region i.year if  户口不在本区县==0 ,robust nolog

probit overeduc   shangzhiindex_dataecon  $xlist  i.region i.year if (现在的户口所在省份== 12岁时的户口所在省份)& 户口不在本区县==0 ,robust nolog

probit overeduc   index_dataecon  $xlist  i.region i.year if  (现在的户口所在省份== 12岁时的户口所在省份)& 户口不在本区县==0 ,robust nolog

///注：户口不在本区县 为0-1变量， 户口不在本区县==0 表示样本的户口在本区县。


****6.控制数字经济的溢出效应****

probit overeduc   shangzhiindex_dataecon spillover1 $xlist  i.region i.year ,robust nolog

probit overeduc   index_dataecon spillover2 $xlist  i.region i.year ,robust nolog

///注：spillover1、spillover2分别表示根据熵值法/主成分分析法测度的数字经济发展指标计算的溢出效应。


///影响机制分析///
****1.劳动者就业技能结构和就业行业结构影响机制****

global $xlist2 male married minorityrace nonagrihukou  institution statefirm foreign  lnGDPper  ratio_FDI  ln年末户籍人口万人 ratio_publicexpenditure


probit highskill shangzhiindex_dataecon  $xlist  i.region i.year ,robust nolog

probit skillintensive  shangzhiindex_dataecon  $xlist  i.region i.year ,robust nolog

probit lowskill shangzhiindex_dataecon   $xlist  i.region i.year ,robust nolog

probit nonskillintensive  shangzhiindex_dataecon   $xlist  i.region i.year ,robust nolog

probit overeduc   shangzhiindex_dataecon highskill skillintensive  $xlist2  i.region i.year ,robust nolog

///注：highskill 代表高技能劳动者，lowskill代表中低技能劳动者；skillintensive代表技能密集型行业，nonskillintensive代表非技能密集型行业。



****2.职业类型影响机制****

probit feichangguirenzhi  shangzhiindex_dataecon institution statefirm foreign  lnGDPper  ratio_FDI  ln年末户籍人口万人 ratio_publicexpenditure i.region i.year ,robust nolog

probit feichangguitili  shangzhiindex_dataecon  institution statefirm foreign  lnGDPper  ratio_FDI  ln年末户籍人口万人 ratio_publicexpenditure i.region i.year ,robust nolog

probit changgui  shangzhiindex_dataecon  institution statefirm foreign  lnGDPper  ratio_FDI  ln年末户籍人口万人 ratio_publicexpenditure i.region i.year ,robust nolog

probit overeduc  shangzhiindex_dataecon feichanggui  $xlist  i.region i.year ,robust nolog

///注：feichangguirenzhi代表非常规认知型职业，feichangguitili代表非常规体力型职业，changgui代表常规型职业，feichanggui代表非常规型职业。


****3.劳动者与工作岗位匹配机制****

global $xlist2 male married minorityrace nonagrihukou  institution statefirm foreign  lnGDPper  ratio_FDI  ln年末户籍人口万人 ratio_publicexpenditure

probit 主要工作或最近一份工作是否持续到当前  shangzhiindex_dataecon skillintensive  highskill  $xlist2  i.region i.year ,robust nolog

probit 主要工作或最近一份工作是否持续到当前  shangzhiindex_dataecon feichanggui $xlist  i.region i.year ,robust nolog



///进一步分析///

****1.基于区域差异的分析****

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if  yanhaisheng ==1 ,robust nolog

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if  yanhaisheng ==0 ,robust nolog

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if  east ==1 ,robust nolog

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if  middle ==1 ,robust nolog

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if  west ==1 ,robust nolog

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if  northeast==1 ,robust nolog

///注：yanhaisheng为代表沿海省份的0-1变量，east、middle、west、northeast分别为代表东部地区、中部地区、西部地区和东北地区的0-1变量。


****2.基于劳动者不同出生世代的分析****

probit overeduc  shangzhiindex_dataecon yearbirth_1980  shangzhidataeconyearbirth_1980 $xlist  i.region i.year ,robust nolog
 
///注：yearbirth_1980代表出生在1980年及之后的0-1变量，个体出生在1980年及之后取1，shangzhidataeconyearbirth_1980为数字经济发展程度指标与出生在1980年及之后的交互项。

 
****3.基于产业（行业）差异的分析**** 
 

probit overeduc shangzhiindex_dataecon $xlist  i.region i.year if secondindustry==1 ,robust nolog

probit overeduc shangzhiindex_dataecon  $xlist  i.region i.year if thirdindustry==1 ,robust nolog

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if competitive==1 ,robust nolog

probit overeduc  shangzhiindex_dataecon $xlist  i.region i.year if monopoly==1 ,robust nolog

///注：secondindustry、thirdindustry、competitive、monopoly分别为表示第二产业、第三产业、竞争性行业、垄断行业的变量。
